package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.apiBean.UserBean;
import org.jeecg.modules.workorderUser.entity.WorkorderUser;

public interface UserService {

    /**
     * 查询用户列表
     * @return
     */
    public Result<?> queryUserList(PageBean pageBean);

    /**
     * 用户信息-根据id查询用户信息
     * @param userId
     * @return
     */
    public Result<?> queryUserById(String userId);

    /**
     * 登录
     * @param userName 用户账号
     * @param password 用户密码
     * @return
     */
    public Result<?> login(String userName, String password);

    /**
     * 注册
     * @param workorderUser
     * @return
     */
    public Result<?> register(WorkorderUser workorderUser);

    /**
     * 用户信息-资料修改
     * @param workorderUser 用户信息
     * @return
     */
    public Result<?> updateUser(WorkorderUser workorderUser);

}
